# GNU.FREE ERServer properties for log4j logging system

# Set options for appender named "A2"
# A2 should be a RollingFileAppender, with maximum file size of 10 MB
# using at most three backup files. A2's layout is TTCC, using the
# ISO8061 date format with context printing enabled.    
log4j.appender.A2=org.apache.log4j.RollingFileAppender
log4j.appender.A2.MaxFileSize=10MB
log4j.appender.A2.MaxBackupIndex=3
log4j.appender.A2.layout=org.apache.log4j.TTCCLayout
log4j.appender.A2.layout.ContextPrinting=enabled
log4j.appender.A2.layout.DateFormat=ISO8601
log4j.appender.A2.File=erserver.log
log4j.appender.A2.Append=true

# Root category set to DEBUG using the A2 appender defined above.
log4j.rootCategory=DEBUG, A2

# Create two non-root categories, one for normal running - NORM
# and one for development logging - DEV
log4j.category.NORM=INFO, A2
log4j.additivity.NORM=false
log4j.category.DEV=DEBUG, A2
log4j.additivity.DEV=false